using FluentValidation;

namespace TeleWave.Application.Library.CreateShow;

public sealed class CreateShowCommandValidator : AbstractValidator<CreateShowCommand>
{
    public CreateShowCommandValidator()
    {
        RuleFor(x => x.Name).NotEmpty().MaximumLength(256);
        RuleFor(x => x.OriginalName).MaximumLength(256);
        RuleFor(x => x.Description).MaximumLength(2048);
    }
}
